from lxml import etree
from dtypes import TData

class TString(str, TData):


    def __new__(cls, *args, **kwargs):
        return str.__new__(cls, *args, **kwargs)
        
            
    def __str__(self):
        return super(TString, self).__str__()
       
    @classmethod
    def fromXML(cls, node):
        return cls(node.text)
        
    def data2xml(self):
        node=etree.Element("String")
        node.text=self
        return node        
